<dom-module id="raphael-set">
  <template>
    <style>
    </style>
    <h2>Groupement</h2>
    <div id="set"></div>
  </template>

  <script>
    Polymer({

      is: 'raphael-set',
      ready: function () {

        var paper = Raphael("set", "100%", 200);

        var image = paper.image(
          '../../images/02.png', 0,0, 8762/2, 477/2
        );

        var rectangle = paper.rect(
          370, 25, 260, 50, 10
        ).attr (
          {
            fill: "#f00",
            stroke: null,
            opacity: "0.2"
          }
        );
        var all = paper.set();
        all.push(rectangle,image);
        all.drag(
          function (dx) {
            var bb = all.getBBox();
            all.translate(all.oBB.x - bb.x + dx);
          },
          function () {
            console.log("drag all!")
            all.oBB = all.getBBox();
          }
        )
      }
    });
  </script>
</dom-module>
